This field accepts text, html or javascript. You can use the following dynamic variables: Uptime4 Monitor. You can also use Spintax format, as such: Hey to randomize words or phrases.

ハートビート

GET https://uptime4.com/api/heartbeats/
curl --request GET \
--url 'https://uptime4.com/api/heartbeats/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search オプション 文字列 検索文字列。
search_by オプション 文字列 どのフィールドで検索していますか。許可される値は次のとおりです: name.
is_enabled オプション ブール値
project_id オプション 整数
datetime_field オプション 文字列 許可される値: datetime, last_datetime, last_run_datetime
datetime_start オプション 文字列 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end オプション 文字列 Filter results up to this datetime. Y-m-d H:i:s format.
order_by オプション 文字列 結果を並べ替えるフィールド。許可される値は次のとおりです: heartbeat_id, datetime, last_datetime, last_run_datetime, name, uptime.
order_type オプション 文字列 結果の順序。許可される値は、昇順の場合は ASC、降順の場合は DESC です。
page オプション 整数 結果を取得するページ番号。デフォルトは 1 です。
results_per_page オプション 整数 ページごとに必要な結果の数。許可される値は次のとおりです: 10, 25, 50, 100, 250, 500, 1000。デフォルトは 25 です。
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "name": "Example",
            "code": "Example",
            "settings": [],
            "is_ok": 1,
            "uptime": 1.5,
            "downtime": 1.5,
            "total_runs": 1,
            "total_missed_runs": 1,
            "last_run_datetime": null,
            "notifications": [],
            "is_enabled": true,
            "datetime": "2026-09-20 14:16:18",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://uptime4.com/api/heartbeats?page=1",
        "last": "https://uptime4.com/api/heartbeats?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime4.com/api/heartbeats?page=1"
    }
}
GET https://uptime4.com/api/heartbeats/{heartbeat_id}
curl --request GET \
--url 'https://uptime4.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "code": "Example",
        "settings": [],
        "is_ok": 1,
        "uptime": 1.5,
        "downtime": 1.5,
        "total_runs": 1,
        "total_missed_runs": 1,
        "last_run_datetime": null,
        "notifications": [],
        "is_enabled": true,
        "datetime": "2026-09-20 14:16:18",
        "last_datetime": null
    }
}
POST https://uptime4.com/api/heartbeats
パラメータ 詳細 説明
name 必須 文字列 -
run_interval オプション 整数 -
run_interval_type オプション 文字列 許可される値: seconds, minutes, hours, days
run_interval_grace オプション 整数 -
run_interval_grace_type オプション 文字列 許可される値: seconds, minutes, hours, days
is_ok_notifications オプション 配列 通知ハンドラーID
is_enabled オプション ブール値 -
project_id オプション 整数 -
email_reports_is_enabled オプション ブール値 -
curl --request POST \
--url 'https://uptime4.com/api/heartbeats' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "code": "Example",
        "settings": [],
        "is_ok": true,
        "uptime": 1.5,
        "downtime": 1.5,
        "total_runs": 1,
        "total_missed_runs": 1,
        "last_run_datetime": null,
        "notifications": [],
        "is_enabled": true,
        "datetime": "2026-09-20 14:16:18",
        "last_datetime": null
    }
}
POST https://uptime4.com/api/heartbeats/{heartbeat_id}
パラメータ 詳細 説明
name オプション 文字列 -
run_interval オプション 整数 -
run_interval_type オプション 文字列 許可される値: seconds, minutes, hours, days
run_interval_grace オプション 整数 -
run_interval_grace_type オプション 文字列 許可される値: seconds, minutes, hours, days
is_ok_notifications オプション 配列 通知ハンドラーID
is_enabled オプション ブール値 -
project_id オプション 整数 -
email_reports_is_enabled オプション ブール値 -
curl --request POST \
--url 'https://uptime4.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "code": "Example",
        "settings": [],
        "is_ok": 1,
        "uptime": 1.5,
        "downtime": 1.5,
        "total_runs": 1,
        "total_missed_runs": 1,
        "last_run_datetime": null,
        "notifications": [],
        "is_enabled": true,
        "datetime": "2026-09-20 14:16:18",
        "last_datetime": null
    }
}
DELETE https://uptime4.com/api/heartbeats/{heartbeat_id}
curl --request DELETE \
--url 'https://uptime4.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \